<?php

function plugin_install() {
  global $conf, $prefixeTable;
  $query = "
    CREATE TABLE IF NOT EXISTS ".$prefixeTable."copyrights_admin (
      cr_id int(11) NOT NULL AUTO_INCREMENT,
      name varchar(255) UNIQUE NOT NULL,
      url varchar(255) NOT NULL,
      visible bool DEFAULT 0,
      PRIMARY KEY (cr_id)
    ) ENGINE=MyISAM DEFAULT CHARACTER SET utf8
    ;";
  pwg_query($query);

  $query = "
    CREATE TABLE IF NOT EXISTS ".$prefixeTable."copyrights_media (
      media_id int(11) NOT NULL,
      cr_id int(11) default NULL
    ) ENGINE = MyISAM DEFAULT CHARACTER SET utf8
    ;";
  pwg_query($query);
}

function plugin_activate() {
  global $prefixeTable;

  $query = "
    SELECT COUNT(*)
    FROM ".$prefixeTable."copyrights_admin
    ;";
  list($counter) = pwg_db_fetch_row(pwg_query($query));
  if (0 == $counter) {
    copyrights_create_default();
  }
}

function plugin_uninstall() {
  global $prefixeTable;

  $query = "
    DROP TABLE ".$prefixeTable."copyrights_admin
    ;";
  pwg_query($query);

  $query = "
    DROP TABLE ".$prefixeTable."copyrights_media
    ;";
  pwg_query($query);
}

function copyrights_create_default() {
  global $prefixeTable;

  // Insert the copyrights of Creative Commons
  $inserts = array(
    array(
      'name' => 'Creative Commons (BY)',
      'url' => 'http://creativecommons.org/licenses/by/3.0/',
      'visible' => 1
    ),
    array(
      'name' => 'Creative Commons (BY-SA)',
      'url' => 'http://creativecommons.org/licenses/by-sa/3.0/',
      'visible' => 1
    ),
    array(
      'name' => 'Creative Commons (BY-ND)',
      'url' => 'http://creativecommons.org/licenses/by-nd/3.0/',
      'visible' => 1
    ),
    array(
      'name' => 'Creative Commons (BY-NC)',
      'url' => 'http://creativecommons.org/licenses/by-nc/3.0/',
      'visible' => 1
    ),
    array(
      'name' => 'Creative Commons (BY-NC-SA)',
      'url' => 'http://creativecommons.org/licenses/by-nc-sa/3.0/',
      'visible' => 1
    ),
    array(
      'name' => 'Creative Commons (BY-NC-ND)',
      'url' => 'http://creativecommons.org/licenses/by-nc-nd/3.0/',
      'visible' => 1
    )
  );

  mass_inserts(
    $prefixeTable.'copyrights_admin',
    array(
      'name',
      'url',
      'visible'
    ),
    $inserts
  );
}
